package fr.iut.pm.movieapplication.api

import fr.iut.pm.movieapplication.api.config.GlobalImageConfig
import fr.iut.pm.movieapplication.api.config.ImageConfig
import fr.iut.pm.movieapplication.api.dtos.MovieResultDTO
import fr.iut.pm.movieapplication.api.dtos.PopularDTO
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Path
import retrofit2.http.Query

interface MovieApplicationAPI {

    @GET("movie/popular")
    fun getPopularMovies(@Query("api_key") apiKey : String) : Call<PopularDTO>

    @GET("movie/{movie_id")
    fun getMovieDetails(@Path("movie_id") movieId : Int, @Query("api_key") apiKey: String) : Call<MovieResultDTO>

}