package fr.iut.pm.movieapplication.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "movies_table")
data class Movie(
    @ColumnInfo(name = "adult")
    val adult: Boolean,
    @ColumnInfo(name = "budget")
    val budget: Int?,
    @ColumnInfo(name = "genres")
    val genres: Array<Genre>?,
    @ColumnInfo(name = "homepage")
    val homePage: String?,
    @PrimaryKey
    @ColumnInfo(name = "id")
    val movieId: Int,
    @ColumnInfo(name = "original_language")
    val originalLanguage: String?,
    @ColumnInfo(name = "original_title")
    val originalTitle: String?,
    val overview: String?,
    val popularity: Double?,
    @ColumnInfo(name = "poster_path")
    val posterPath: String?,
    val productionCompanies: Array<ProductionCompany>?,
    @ColumnInfo(name = "production_countries")
    val productionCountries: Array<ProductionCountry>?,
    @ColumnInfo(name = "release_date")
    val releaseDate: String?,
    val revenue: Int?,
    val runtime: Int?,
    //var spokenLanguages : Array<SpokenLanguage>,
    val status: String?,
    @ColumnInfo(name = "tag_line")
    val tagLine: String?,
    val title: String?,
    @ColumnInfo(name = "vote_average")
    val voteAverage: Double?,
    @ColumnInfo(name = "vote_count")
    val voteCount: Int?,
    val backdropPath: String?


) {


    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as Movie

        if (movieId != other.movieId) return false

        return true
    }

    override fun hashCode(): Int {
        return movieId
    }
}